unit SetRot;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ldliteVRh;

type
  TRotation = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    edX: TEdit;
    edY: TEdit;
    edZ: TEdit;
    Button1: TButton;
    Button2: TButton;
  private
    { Private declarations }
    function  GetRx: MyReal;
    function  GetRy: MyReal;
    function  GetRz: MyReal;
    procedure SetRx(v: MyReal);
    procedure SetRy(v: MyReal);
    procedure SetRz(v: MyReal);
  public
    { Public declarations }
    property x: MyReal read GetRx write SetRx;
    property y: MyReal read GetRy write SetRy;
    property z: MyReal read GetRz write SetRz;
  end;

var
  Rotation: TRotation;

implementation

{$R *.DFM}

function  TRotation.GetRx: MyReal;
begin
  try
    Result := StrToFloat(edX.Text) * pi / 180;
  except
    Result := 0.0;
  end;
end;

function  TRotation.GetRy: MyReal;
begin
  try
    Result := StrToFloat(edY.Text) * pi / 180;
  except
    Result := 0.0;
  end;
end;

function  TRotation.GetRz: MyReal;
begin
  try
    Result := StrToFloat(edZ.Text) * pi / 180;
  except
    Result := 0.0;
  end;
end;

procedure TRotation.SetRx(v: MyReal);
begin
  edX.Text := Format('%7.3f', [v * 180 / pi]);
end;

procedure TRotation.SetRy(v: MyReal);
begin
  edY.Text := Format('%7.3f', [v * 180 / pi]);
end;

procedure TRotation.SetRz(v: MyReal);
begin
  edZ.Text := Format('%7.3f', [v * 180 / pi]);
end;

end.
